Subject: Re: [PATCH 1/4] Documentation: Add filter.<driver>.* to config

From: Ramkumar Ramachandra <[email-masked]>
Date: Wed, 6 Apr 2011 18:21:12 +0530

Hi Michael,

Michael J Gruber writes:
> Ramkumar Ramachandra venit, vidit, dixit 06.04.2011 11:57:
> > Although the gitattributes page contains comprehensive information
> > about these configuration options, they should be included in the
> > config documentation for completeness.
> > 
> > Helped-by: Michael J Gruber <[email-masked]>
> > Signed-off-by: Ramkumar Ramachandra <[email-masked]>
> > ---
> >  Documentation/config.txt |    9 +++++++++
> >  1 files changed, 9 insertions(+), 0 deletions(-)
> > 
> > diff --git a/Documentation/config.txt b/Documentation/config.txt
> > index 8ea55d4..654a3b8 100644
> > --- a/Documentation/config.txt
> > +++ b/Documentation/config.txt
> > @@ -973,6 +973,15 @@ format.signoff::
> >      the rights to submit this work under the same open source license.
> >      Please see the 'SubmittingPatches' document for further discussion.
> >  
> > +filter.<driver>.clean::
> > +	The command which is used to convert the contents of worktree
> > +	file upon checkin.  See linkgit:gitattributes[5] for details.
> 
> I don't want to be a PITA, but is there any particular reason you are
> refusing to use the article "a" even after repeated suggestions to use
> it? (Also, I suggested to say what we are converting into here.)

Ouch, sorry.

> > +
> > +filter.<driver>.smudge::
> > +	The command which is used to convert the blob object to
> > +	worktree file upon checkout.  See linkgit:gitattributes[5] for
> > +	details.
> > +
> 
> You see, before my first response in this thread I thought: "Doing this
> myself would be less work than replying and explaining things, but I'll
> try to be nice."
> 
> Now, this is v4, I've even provided complete sentences ready for copy &
> paste, and we're still iterating. It turned out to be *much more* work
> than doing it myself. I'm sorry but I can't afford to spend even more
> time on this.

I'm very sorry to have caused so much pain.  Yes, I can imagine how
terrible it must be to review several iterations of a simple
documentation patch.  Thank you for being so patient with me so far- I
understand if you don't want to do this anymore.

I do spend time proofreading patches before sending them out, but I'm
clearly not very good at it.  In future, I'll either try rewriting
entire paragraphs or simply refrain from writing documentation
patches.  Please try to understand that sending out many iterations of
a documentation patch isn't something I particularly enjoy doing.
I'll send out another iteration of this series anyway.

-- Ram